=== debian/changelog ===
curtin (0.1.0~bzr482-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - Fix iscsi disks that have a ':' in the target name.  (LP: #1679222)
    - tests: re-enable ZestyTestMdadmBcache. 
    - curthooks: fix pylint reported error when using ubuntu_core_curthooks. 

 -- Scott Moser <smoser@ubuntu.com>  Wed, 05 Apr 2017 15:22:25 -0400

curtin (0.1.0~bzr479-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - Add support for installing Ubuntu-Core 16 images.
    - Add 'STORAGE_CONFIG_V1_DD' to the feature list.
    - flake8: fix flake8 issues with previous merge.
    - Support selection of target disk for dd images install via
      storage config.  (LP: #1640301)
    - vmtest: have vmtest-sync-images avoid running when jenkins-runner is.
    - tools/curtin-from-container: do not use lxc file push --create-dirs
    - tests: enable curtainer to pull down curtin source locally
    - tests: make nose output always include class name and method.
    - tools/curtin-from-container: default to verbosity level 0, not 2.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 23 Mar 2017 13:06:43 -0400

curtin (0.1.0~bzr470-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - vmtest: allow time-based skipping of tests, apply to ZestyMdadmBcache
      (LP: #1667078)
    - Add iSCSI disk support. (LP: #1645515)
    - vmtest: handle change in btrfs-progs when finding fs UUID. (LP: #1665701)
    - pycodestyle: fix bare except in vmtests
    - unittests: add subp coverage for retries, and rcs
    - reporting: Add better descriptions and granularity of events
    - tox: do not bother with pep8 from trusty in trusty-check
    - tests: add two scripts used for running vmtest with installed package.
    - Make add-apt-repository command retry
    - Add tests for network bridging configuration
  - debian/rules: remove debug 'find'

 -- Scott Moser <smoser@ubuntu.com>  Tue, 28 Feb 2017 10:30:43 -0500

curtin (0.1.0~bzr460-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - Install zipl in target on s390x arch.  (LP: #1662346)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 08 Feb 2017 17:09:34 -0500

curtin (0.1.0~bzr459-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - Remove style checking during build and add latest style checks to tox
    - avoid UnicodeDecode error on passing non-utf8 into shlex
    - adjustments to version string handling, improved pack unit tests.
    - helpers/common: Add grub install debugging output
    - curtin: add version module and display in output and logs
    - content decoding in load_file, apply_net raise exception on errors
    - gpg: retry when recv'ing gpg keys fail (LP: #1661337)
    - Add clear_holders checks to disk and partition handlers (LP: #1659509)
    - net: add new lines after rendered static routes. (LP: #1649652)
    - multipath: don't run update-grub; setup_grub will handle this better.
      (LP: #1656369)
    - test related changes:
      - vmtest: Add tests for zesty and Trusty HWE-X kernels. 
      - tests: fix tox tip-pycodestyle complaints 
      - image-sync: add debugging output to help diagnose errors 
      - vmtest: change get_curtin_version to use version subcommand. 
      - subp doc an unit test improvements. 
      - vmtest: Add the ability to add extra config files to test execution. 
      - vmtest: overhaul image sync 
      - vmtest: skip apt-proxy test if not set 
      - vmtest: add 'webserv' helper 
      - vmtest: add CURTIN_VMTEST_CURTIN_EXE variable. 

 -- Scott Moser <smoser@ubuntu.com>  Wed, 08 Feb 2017 15:29:57 -0500

curtin (0.1.0~bzr435-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - pep8: fix pep8 errors found with 'make pep8' on zesty.
    - Workaround failures caused by gpg2 daemons left running in chroot.
      (LP: #1645680)
    - Install u-boot-tools when running on a system with u-boot.
      (LP: #1640519)
    - block: fix partition kname for raid devices  (LP: #1641661)
    - Fix up tox errors that slipped in and new pycodestyle 2.1.0 complaints.
    - vmtests: adjust vmtest image sync metadata filenames
    - vmtests: Add centos support
    - Disable WilyTestRaid5Bcache vmtest
    - tools/xkvm: fix --netdev=<bridge>
    - bytes2human: fix for values larger than 32 bit int on 32 bit python2.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 01 Dec 2016 21:05:30 -0500
