## curtin 0.1.0~bzr505

=== debian/changelog ===
curtin (0.1.0~bzr505-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * New upstream snapshot. (LP: #1697545)
    - vmtest: let the socket level select a port rather than us picking one.
    - Fix deb build by mocking call to udevadm settle
    - Clear and re-order UEFI boot methods during UEFI grub installation.
    - Resolve bcache race-conditions
    - tests: clean up usage of collect files
    - Allow re-use of vmtest output
    - Fix stacked storage configurations with iSCSI
    - vmtests: enable tests to apply storage config to validate clear_holders
      path
    - mdadm_stop: Add retry and additional steps to halt a resync
    - vmtests: Add Artful release and update classes
    - clear-holders: mdadm use /proc/mdstat to wait for array to stop
    - uc16 curthooks: add 'network' key to config file
    - Doc and makefile updates for build and test on new systems.
    - clear-holders: make bcache handler wait for device shutdown
    - vmtest: Use utf-8 and fix pseudo test collect_output
    - vmtest: fix path to install log, and utilize the globally copied paths.
    - Copy curtin install log into target.
    - vmtest: add in post-test log post-processing
    - vmtest: update source.list test
    - add recursive flag to do_umount, add --umount to block-meta
    - load_command_environment: fix strict flag, and unit tests.
    - block_meta: Attempt to mount by UUID= if possible
    - Make systems with root on bcache use root=UUID=.
    - Fix iscsi disks that have a ':' in the target name.
    - tests: re-enable ZestyTestMdadmBcache.
    - curthooks: fix pylint reported error when using ubuntu_core_curthooks.
    - Add support for installing Ubuntu-Core 16 images
    - Add 'STORAGE_CONFIG_V1_DD' to the feature list.
    - flake8: fix flake8 issues with previous merge.
    - Support selection of target disk for dd images install via storage
      config.
    - vmtest: have vmtest-sync-images avoid running when jenkins-runner is.
    - tools/curtin-from-container: do not use lxc file push --create-dirs
    - tests: enable curtainer to pull down curtin source locally
    - tests: make nose output always include class name and method.
    - tools/curtin-from-container: default to verbosity level 0, not 2.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 12 Jun 2017 16:31:10 -0400

curtin (0.1.0~bzr470-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * debian/rules: record debian package version in installed package.
    (LP: #1666986)
  * New upstream snapshot.
    - vmtest: allow time-based skipping of tests, apply to ZestyMdadmBcache
      to temporarily avoid bug 1667078.
    - Add iSCSI disk support. (LP: #1645515)
    - vmtest: handle change in btrfs-progs when finding fs UUID. (LP: #1665701)
    - pycodestyle: fix bare except in vmtests
    - unittests: add subp coverage for retries, and rcs
    - reporting: Add better descriptions and granularity of events
    - tox: do not bother with pep8 from trusty in trusty-check
    - tests: add two scripts used for running vmtest with installed package.
    - Make add-apt-repository command retry
    - Add tests for network bridging configuration

 -- Scott Moser <smoser@ubuntu.com>  Wed, 01 Mar 2017 11:17:12 -0500

curtin (0.1.0~bzr460-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * New upstream snapshot.
    - Install zipl in target on s390x arch. (LP: #1662346)
    - avoid UnicodeDecode error on passing non-utf8 into shlex
    - adjustments to version string handling, improved pack unit tests.
    - helpers/common: Add grub install debugging output
    - curtin: add version module and display in output and logs
    - content decoding in load_file, apply_net raise exception on errors
    - gpg: retry when recv'ing gpg keys fail (LP: #1661337)
    - Add clear_holders checks to disk and partition handlers (LP: #1659509)
    - net: add new lines after rendered static routes. (LP: #1649652)
    - multipath: don't run update-grub; setup_grub will handle this better.
      (LP: #1656369)
    - Test changes:
      - vmtest: Add tests for zesty and Trusty HWE-X kernels.
      - tests: fix tox tip-pycodestyle complaints
      - image-sync: add debugging output to help diagnose errors
      - vmtest: change get_curtin_version to use version subcommand.
      - Remove style checking during build and add latest style checks to tox
      - subp doc an unit test improvements.
      - flake8: remove unused variable.
      - vmtest: Add the ability to add extra config files to test execution.
      - vmtest: overhaul image sync
      - vmtest: skip apt-proxy test if not set
      - vmtest: add 'webserv' helper
      - vmtest: add CURTIN_VMTEST_CURTIN_EXE variable.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 16 Feb 2017 22:30:13 -0500

curtin (0.1.0~bzr437-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * debian/new-upstream-snapshot: change to not use bzr merge-upstream.
  * New upstream snapshot.
    - revert: Test Workaround: skip XenialTestNvme for a short time.
    - Test Workaround: skip XenialTestNvme for a short time.
    - pep8: fix pep8 errors found with 'make pep8' on zesty.
    - Workaround failures caused by gpg2 daemons left running in chroot.
      (LP: #1645680)
    - Install u-boot-tools when running on a system with u-boot. (LP: #1640519)
    - block: fix partition kname for raid devices (LP: #1641661)
    - Fix up tox errors that slipped in and new pycodestyle 2.1.0 complaints.
    - vmtests: adjust vmtest image sync metadata filenames
    - vmtests: Add centos support
    - Disable WilyTestRaid5Bcache vmtest
    - tools/xkvm: fix --netdev=<bridge>
    - bytes2human: fix for values larger than 32 bit int on 32 bit python2.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 23 Jan 2017 14:30:25 -0500
