## curtin 0.1.0~bzr532

=== debian/changelog ===
curtin (0.1.0~bzr532-0ubuntu1~17.04.1) zesty; urgency=medium

  * New upstream snapshot. (LP: #1721808)
    - vmtest: fix artful networking
    - docs: Trivial doc fix for enabling proposed.
    - setup.py: fix to allow installation into a virtualenv
    - doc: update documentation on curtin-hooks and non-ubuntu installation.
    - reporter: Add journald reporter to send events to journald
    - vmtests: add option to tar disk images after test run
    - install: ensure iscsi service is running to handle shutdown properly
    - mdadm: handle write failures to sysfs entries when stopping mdadm
    - vmtest: catch exceptions in curtin-log-print
    - iscsi: use curtin storage config to disconnect iscsi targets
    - vmtests: bump skip_by_date values out to give cloud-init SRU more time
    - vmtest: get info about collected symlinks and then delete them.
    - Update network cloud-init related skiptest dates, SRU still pending
    - tests: Add CiTestCase common parent for all curtin tests.
    - vmtests: Remove force flag for centos curthooks
    - tools/jenkins-runner: improve tgtd cleanup logic
    - tests: Drop EOL Wily Vivid and Yakkety tests.
    - Disable yum plugins when installing packages, update ca-certs for https
    - Rename centos_network_curthooks -> centos_apply_network_config.
    - tests: in centos_defaults use write_files for grub serial.
    - write_files: write files after extract, change write_files signature.
    - pass network configuration through to target for ubuntu and centos
    - tests: disable yakkety tests.
    - tools/launch: automatically pass on proxy settings to curtin
    - Add top level 'proxy' to config, deprecate top level http_proxy.
    - tools/curtainer: fix to enable deb-src for -proposed.
    - Use unshare to put chroot commands in own pid namespace.

 -- Chad Smith <chad.smith@canonical.com>  Fri, 06 Oct 2017 10:53:10 -0600

curtin (0.1.0~bzr505-0ubuntu1~17.04.1) zesty; urgency=medium

  * New upstream snapshot. (LP: #1697545)
    - vmtest: let the socket level select a port rather than us picking one. 
    - Fix deb build by mocking call to udevadm settle 
    - Clear and re-order UEFI boot methods during UEFI grub installation. 
    - Resolve bcache race-conditions 
    - tests: clean up usage of collect files 
    - Allow re-use of vmtest output 
    - Fix stacked storage configurations with iSCSI
    - vmtests: enable tests to apply storage config to validate clear_holders
      path 
    - mdadm_stop: Add retry and additional steps to halt a resync 
    - vmtests: Add Artful release and update classes 
    - clear-holders: mdadm use /proc/mdstat to wait for array to stop
    - uc16 curthooks: add 'network' key to config file
    - Doc and makefile updates for build and test on new systems. 
    - clear-holders: make bcache handler wait for device shutdown
    - vmtest: Use utf-8 and fix pseudo test collect_output 
    - vmtest: fix path to install log, and utilize the globally copied paths. 
    - Copy curtin install log into target.
    - vmtest: add in post-test log post-processing 
    - vmtest: update source.list test 
    - add recursive flag to do_umount, add --umount to block-meta 
    - load_command_environment: fix strict flag, and unit tests. 
    - block_meta: Attempt to mount by UUID= if possible
    - Make systems with root on bcache use root=UUID=.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 12 Jun 2017 15:57:40 -0400
