## curtin 17.1-11-ga4c9636b

=== debian/changelog ===
curtin (17.1-11-ga4c9636b-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1743618)
    - tests: cleanup the apt custom sources test.
    - apt: Be more lenient when replacing mirrors in /etc/apt/sources.list
    - vmtest: Drop Zesty release
    - vmtest: initialize logger with class names for easy parsing
    - packaging: Do not mention primary contributors in debian/changelog.

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 18 Jan 2018 15:30:09 -0600

curtin (17.1-6-g8b145067-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1743618)
    - packaging: Update new-upstream-snapshot to work with git.
    - Bump pylint to 1.8.1.
    - vmtests: switch to MAAS v3 streams for images and kernels [Ryan Harper]
    - tests: update pack tests to clear out pyc files more completely.
    - debian/control: drop conflicts that had bzr version
    - Switch uses of bzr to git, borrow from cloud-init git workflow.
    - Release 17.1
    - packaging: update debian/build-deb to remove ~bzrREV when using equal tag
    - pack: fix packing when curtin is installed inside a snap.
    - tox: move to pylint 1.7.4
    - vmtests: iscsi minor cleanup.
    - vmtests: exercise rootfs over an lvm logical volume [Ryan Harper]
    - Switch network dep filter to test for ifupdown/nplan instead of release
      name [Ryan Harper]
    - Allow control of curtin install unmounting [Ryan Harper]
    - vmtests: Add Bionic release to tests and update classes.
    - storage: add 'options' key mount type to specify mount parameters for
      filesystems [Ryan Harper]
    - Re-add curthooks.write_files method for backwards compat
      [Ryan Harper]
    - vmtest: Remove ArtfulTestBridging skip_by_date check, bug fixed
    - Drop Precise from vmtest [Ryan Harper]
    - clear_holders: bcache log IO/OS exceptions but do not raise [Ryan Harper]
    - vmtest: Support newer qemu and multipath.
    - block: enable control over exclusive_open use when wiping volumes
      [Ryan Harper]
    - block: handle wiping bcache parts [Ryan Harper]
    - vmtests: Defer ArtfulNetworkMtu SkipbyDate to 2018 [Ryan Harper]
    - bcache: accept sysfs write failure in shutdown handler if path missing
      [Ryan Harper]
    - vmtest: Rephrase a message about no disks to be less scary
    - block_meta: use block.wipe_volume(mode=superblock) to clear MBR/GPT
      tables [Ryan Harper]

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 16 Jan 2018 15:24:44 -0600

curtin (0.1.0~bzr532-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1721808)
    - vmtest: fix artful networking
    - docs: Trivial doc fix for enabling proposed.
    - setup.py: fix to allow installation into a virtualenv
    - doc: update documentation on curtin-hooks and non-ubuntu installation.
    - reporter: Add journald reporter to send events to journald
    - vmtests: add option to tar disk images after test run
    - install: ensure iscsi service is running to handle shutdown properly
    - mdadm: handle write failures to sysfs entries when stopping mdadm
    - vmtest: catch exceptions in curtin-log-print
    - iscsi: use curtin storage config to disconnect iscsi targets
    - vmtests: bump skip_by_date values out to give cloud-init SRU more time
    - vmtest: get info about collected symlinks and then delete them.
    - Update network cloud-init related skiptest dates, SRU still pending
    - tests: Add CiTestCase common parent for all curtin tests.
    - vmtests: Remove force flag for centos curthooks
    - tools/jenkins-runner: improve tgtd cleanup logic
    - tests: Drop EOL Wily Vivid and Yakkety tests.
    - Disable yum plugins when installing packages, update ca-certs for https
    - Rename centos_network_curthooks -> centos_apply_network_config.
    - tests: in centos_defaults use write_files for grub serial.
    - write_files: write files after extract, change write_files signature.
    - pass network configuration through to target for ubuntu and centos
    - tests: disable yakkety tests.
    - tools/launch: automatically pass on proxy settings to curtin
    - Add top level 'proxy' to config, deprecate top level http_proxy.
    - tools/curtainer: fix to enable deb-src for -proposed.
    - Use unshare to put chroot commands in own pid namespace.

 -- Chad Smith <chad.smith@canonical.com>  Fri, 06 Oct 2017 10:07:36 -0600

curtin (0.1.0~bzr505-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * debian/new-upstream-snapshot: create tarball in .. otherwise it
    will get deleted in the cleaning of files.
  * New upstream snapshot. (LP: #1697545)
    - vmtest: let the socket level select a port rather than us picking one.
    - Fix deb build by mocking call to udevadm settle
    - Clear and re-order UEFI boot methods during UEFI grub installation.
    - Resolve bcache race-conditions
    - tests: clean up usage of collect files
    - Allow re-use of vmtest output
    - Fix stacked storage configurations with iSCSI
    - vmtests: enable tests to apply storage config to validate clear_holders
      path
    - mdadm_stop: Add retry and additional steps to halt a resync
    - vmtests: Add Artful release and update classes
    - clear-holders: mdadm use /proc/mdstat to wait for array to stop
    - uc16 curthooks: add 'network' key to config file
    - Doc and makefile updates for build and test on new systems.
    - clear-holders: make bcache handler wait for device shutdown
    - vmtest: Use utf-8 and fix pseudo test collect_output
    - vmtest: fix path to install log, and utilize the globally copied paths.
    - Copy curtin install log into target.
    - vmtest: add in post-test log post-processing
    - vmtest: update source.list test
    - add recursive flag to do_umount, add --umount to block-meta
    - load_command_environment: fix strict flag, and unit tests.
    - block_meta: Attempt to mount by UUID= if possible
    - Make systems with root on bcache use root=UUID=.

