## curtin 18.1-5-g572ae5d6

=== debian/changelog ===
curtin (18.1-5-g572ae5d6-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - clear-holders: fix lvm name use when shutting down (LP: #1764602)
    - install: prevent unmount: disabled from swallowing installation failures
      (LP: #1764210)
    - vmtest: bionic images no longer use the vlan package
    - pycodestyle: Fix invalid escape sequences in string literals.

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 18 Apr 2018 10:15:46 -0500

curtin (18.1-1-g45564eef-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - Drop ubuntu branch management script new-upstream-snapshot.
    - Release 18.1
    - zfs/zpool version=28 by default, allow users to override default values.
      (LP: #1754013)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 28 Mar 2018 14:22:58 -0600

curtin (17.1-51-gbd40234f-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - helpers/shell-archive: drop use of tar --sparse flag (LP: #1757565)
    - vmtest: In Basic install, add entry for swap to fstab and verify its use.
    - vmtest: skip some bcache tests pending kernel fixes
    - vmtests: extend skip_by_date for lvmroot_xfsroot and network_mtu
    - vmtest: fix pollinate re.search to use groupdict()
    - Add pollinate user-agent configuration support.

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 23 Mar 2018 10:51:50 -0500

curtin (17.1-45-g1a5fe18a-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - vmtest: Remove xenial and trusty specific workaround for rooturl.
    - vmtest: Add Filesystem Battery test.
    - Remove grub2/xenial specific workarounds for zfsroot.
    - Disable dirty_disks mode for mdadm + iscsi tests
    - tools/curtainer: Try harder to get source at binary version.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Mar 2018 12:20:40 -0500

curtin (17.1-40-g46f8000f-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - clear_holders: wipe complex devices before disassembly (LP: #1750519)
    - vmtests: network_mtu: fix bug number and move date out one month
    - fix /usr/bin/curtin exit code in install failure (LP: #1751176)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Mar 2018 02:55:23 -0500

curtin (17.1-37-g82622f12-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - docs: Document use of format command with fstype: zfsroot
    - docs: Add HACKING.rst doc to top level dir and readthedocs.
    - vmtest: fix centos root-tgz image sync
    - block_meta: Ensure offset input to sgdisk are integers.
    - Fix error in url_helper and vmtest from previous commit.
    - tools: fix curtainer to specify source version to apt-get source.
    - Add support for installing sources that are a filesystem image.
      (LP: #1746348)
    - clear-holders: detect and remove devices from kernel swap as needed.
      (LP: #1743643)
    - tests: remove xfs filesystem from basic uefi test.
    - tools: fix curtainer --source with trusty.
    - apply_net: do not write to stderr directly.
    - vmtest: Drop use of root-image.gz and maas2roottar.
    - in-target: use ChrootableTarget so that unshare pid is used.
    - tools/curtainer: check that binary and source version are the same.
      (LP: #1747077)
    - Add zfsroot as a filesystem type
    - fix modeline for shell syntax files.
    - error logs: Create error_tarfile path if path does not exist
      [Chad Smith] (LP: #1746363)
    - zfs: only load zfs on xenial+ skip artful/bionic zfs env export
    - error logs: automatically collect and tar curtin logs upon error.
      [Chad Smith]
    - vmtests: Support skipping skip_by_date tests based on environment.
    - Add zpool, zfs storage commands for experimental support of ZFS on root.
    - tests: revert workaround for bug in overlayroot that is now fixed.
    - tests: Bump skip_by_dates for bug 1652822 and 1671952.
    - cli: add curtin collect-logs sub-command [Chad Smith]
    - vmtest: Do not run tests of unsupported Ubuntu releases.
    - Make license headers and file footers consistent and simplify.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 21 Feb 2018 12:19:07 -0500

curtin (17.1-11-ga4c9636b-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - tests: cleanup the apt custom sources test.
    - apt: Be more lenient when replacing mirrors in /etc/apt/sources.list
      (LP: #1744038)
    - vmtest: Drop Zesty release
    - vmtest: initialize logger with class names for easy parsing
    - packaging: Do not mention primary contributors in debian/changelog.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 18 Jan 2018 16:31:27 -0500

curtin (17.1-6-g8b145067-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - packaging: Update new-upstream-snapshot to work with git.
    - Bump pylint to 1.8.1.
    - vmtests: switch to MAAS v3 streams for images and kernels [Ryan Harper]
    - tests: update pack tests to clear out pyc files more completely.
    - debian/control: drop conflicts that had bzr version
    - Switch uses of bzr to git, borrow from cloud-init git workflow.

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 16 Jan 2018 15:42:36 -0600

curtin (17.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.1).

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Dec 2017 16:53:09 -0500

curtin (17.0~bzr552-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - packaging: update debian/build-deb to remove ~bzrREV when using equal tag
    - pack: fix packing when curtin is installed inside a snap.
    - tox: move to pylint 1.7.4
    - vmtests: iscsi minor cleanup.
    - vmtests: exercise rootfs over an lvm logical volume
    - Switch network dep filter to test for ifupdown/nplan instead of release
      name
    - Allow control of curtin install unmounting
    - vmtests: Add Bionic release to tests and update classes.
    - storage: add 'options' key mount type to specify mount parameters for
      filesystems (LP: #1709284)

