=== debian/control ===
Source: curtin
Section: admin
Priority: extra
Standards-Version: 3.9.6
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7),
               dh-python,
               pep8,
               pyflakes,
               python-all,
               python-coverage,
               python-mock,
               python-nose,
               python-oauthlib,
               python-setuptools,
               python-yaml,
               python3,
               python3-coverage,
               python3-mock,
               python3-nose,
               python3-oauthlib,
               python3-pyflakes | pyflakes (<< 1.1.0-2),
               python3-setuptools,
               python3-yaml
Homepage: http://launchpad.net/curtin
X-Python3-Version: >= 3.2

Package: curtin
Architecture: all
Priority: extra
Depends: bcache-tools,
         btrfs-tools,
         dosfstools,
         file,
         gdisk,
         lvm2,
         mdadm,
         parted,
         python3-curtin (= ${binary:Version}),
         udev,
         xfsprogs,
         ${misc:Depends}
Description: Library and tools for the curtin installer
 This package provides the curtin installer.
 .
 Curtin is an installer that is blunt, brief, snappish, snippety and
 unceremonious.

Package: curtin-common
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Description: Library and tools for curtin installer
 This package contains utilities for the curtin installer.

Package: python-curtin
Section: python
Architecture: all
Priority: extra
Depends: curtin-common (= ${binary:Version}),
         python-oauthlib,
         python-yaml,
         wget,
         ${misc:Depends},
         ${python:Depends}
Description: Library and tools for curtin installer
 This package provides python library for use by curtin.

Package: python3-curtin
Section: python
Architecture: all
Priority: extra
Depends: curtin-common (= ${binary:Version}),
         python3-oauthlib,
         python3-yaml,
         wget,
         ${misc:Depends},
         ${python3:Depends}
Description: Library and tools for curtin installer
 This package provides python3 library for use by curtin.
