## curtin 18.1-59-g0f993084

=== debian/changelog ===
curtin (18.1-59-g0f993084-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - distro: fix system_upgrade command using string instead of function
      (LP: #1796968)
    - Capture stdout when using lxc file push
    - vmtest: boot ephemeral with 'ro' on the kernel command line.

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 10 Oct 2018 11:22:30 -0500

curtin (18.1-56-g3aafe77d-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - vmtest: Fix typo in skip-by-date.
    - vmtest: kick skip-by-date for 1671951.
    - tools/jenkins-runner: Error if both filters and tests are given.
    - vmtests: prevent tests from modifying cls.collect_scripts

 -- Chad Smith <chad.smith@canonical.com>  Tue, 02 Oct 2018 16:07:51 -0600

curtin (18.1-52-g5f0082d1-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - Enable custom storage configuration for centos images

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 21 Sep 2018 03:04:42 -0500

curtin (18.1-51-gb812ae80-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - vmtest: ensure we collect /var/log/journal only once

 -- Chad Smith <chad.smith@canonical.com>  Tue, 21 Aug 2018 11:44:46 -0600

curtin (18.1-50-g2d9b2c6f-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - clear-holders: handle missing zpool/zfs tools when wiping
    - clear-holders: rescan for lvm devices after assembling raid arrays
    - vmtest: enable persistent journal and collect at boot time
    - Add timing and logging functions.
    - parse_dpkg_version: support non-numeric in version string.
    - Don't allow reads of /proc and modprobe zfs through

 -- Chad Smith <chad.smith@canonical.com>  Mon, 20 Aug 2018 09:22:06 -0600

curtin (18.1-44-g2b12b8fc-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - Add main so that 'python3 -m curtin' does the right thing.
    - Add subcommand 'features'.
    - block: use uuid4 (random) when autogenerating UUIDS for filesystems
    - vmtests: Increase size of root filesystems.
    - clear-holders: reread ptable after wiping disks with partitions
    - vmtest: Skip proposed pocket on dev release when 'proposed' in ADD_REPOS.
    - tests: remove Ubuntu Artful [Joshua Powers]
    - vmtests: Let a raised SkipTest go through skip_by_date.
    - vmtests: Increase root fs to give upgrades to -proposed more space.
    - vmtest: Order the vmtest_pollinate late_command earlier.
    - vmtest: always add 'curtin/vmtest' to installed pollinate user_agent.
    - vmtests: make skip_by_date a decorator that runs and reports.
    - vmtests: always declare certain attributes and remove redundant tests.
    - vmtests: Add Cosmic release to tests [Joshua Powers]
    - vmtests: skip TrustyTestMdadmBcache until 2019-01-22.
    - tox: use simplestreams from git repository rather than bzr.
    - document that you can set ptable on raids [Michael Hudson-Doyle]
    - vmtests: move skip-by date of xfs root and xfs boot out 1 year.
    - vmtests: network_mtu move fixby date out 4 months from last value

 -- Chad Smith <chad.smith@canonical.com>  Fri, 10 Aug 2018 09:22:12 -0600

curtin (18.1-25-g9d0e557e-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - Fix WorkingDir class to support already existing target directory.
      (LP: #1775622)
    - Fix extraction of local filesystem image. (LP: #1775630)
    - Fix tip-pyflakes imported but unused call to util.get_platform_arch
    - subp: update return value of subp with combine_capture=True.
    - tox: add a xenial environments, default envlist changes.
    - tests: Fix race on utcnow during timestamped curtin-log dir creation
      (LP: #1772481)
    - curtainer: patch source version from --source.
    - pyflakes: fix unused variable references identified by pyflakes 2.0.0.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 07 Jun 2018 14:59:20 -0400

curtin (18.1-17-gae48e86f-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - tests: replace usage of mock.assert_called

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 May 2018 14:58:06 -0400

curtin (18.1-16-g18835845-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - tools: jenkins-runner show curtin version in output.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 May 2018 10:29:17 -0400

curtin (18.1-15-g5313b9e2-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - zfs: implement a supported check to handle i386 (LP: #1768709)
    - Support mount entries not tied to a device, including bind and tmpfs.
      (LP: #1767979)
    - block/clear_holders/mdadm: refactor handling of layered device wiping
      (LP: #1768893, #1769742)
    - clear_holders: only export zpools that have been imported (LP: #1770280)
    - vmtests: allow env control of apt, system_upgrade, package upgrade
    - util.get_efibootmgr: filter bootorder by found entries (LP: #1767584)
    - vmtests: adjust lvm_iscsi dnames to match configuration
    - vmtest: always boot with BOOTIF and ip=:::::BOOTIF:dhcp
    - make_dname for bcache should use backing device uuid
    - zfsroot: add additional checks, do not require disk 'serial' attribute
      (LP: #1760879, #1760880)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 May 2018 10:19:45 -0400
